/*
 * Copyright (C) 2013 DroidDriver committers
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.appium.droiddriver.exceptions;

import io.appium.droiddriver.finders.Finder;

/**
 * Thrown when element is not found.
 */
@SuppressWarnings("serial")
public class ElementNotFoundException extends DroidDriverException {
  public ElementNotFoundException(Finder finder) {
    super(failMessage(finder));
  }

  public ElementNotFoundException(Finder finder, Throwable cause) {
    super(failMessage(finder), cause);
  }

  public ElementNotFoundException(String message) {
    super(message);
  }

  public ElementNotFoundException(String message, Throwable cause) {
    super(message, cause);
  }

  protected static String failMessage(Finder finder) {
    return "Could not find any element matching " + finder;
  }
}
